Products

Get Product Details

Retrieves the details of a Product.

Endpoint

GET /api/v1.2/products/<uuid>/

Response

  • 404 - Product could not be found.

  • 200 - Product details returned successfully.

Product Details JSON format

{
    "uuid": "<uuid>",
    "sku": "ABC123456789",
    "description": "<p>These high flavor bears ...</p>",
    "name": "LG Sour Gummy Bears",
    "published_on": "11/19/2018",
    "available_on": "06/11/2020",
    "added_on": null,
    "discontinued_on": null,
    "brand_uuid": "<uuid>",
    "product_type": "Chocolate",
    "usage": "",
    "variety": "Sativa",
    "strain": "Sativa",
    "chemotype": "Moderate THC, High CBD",
    "product_line": "",
    "package_size": {
        "name": "Package Size",
        "value": "40.0000",
        "unit": "g"
    },
    "upc": "",
    "servings": "8.0000000",
    "serving_size": {
        "name": "Serving size",
        "value": "4.6000000",
        "unit": "g"
    },
    "shelf_life": {
        "value": 365,
        "unit": "days"
    },
    "expected_total_thc": {
        "name": "Expected Total THC",
        "value": "100.0000000",
        "unit": "mg"
    },
    "expected_total_cbd": {
        "name": "Expected Total CBD",
        "value": "0.0010000",
        "unit": "mg"
    },
    "negative_effects": [],
    "positive_effects": [],
    "medical_uses": [],
    "updated_on": "2026-01-11T13:58:09.177347Z",
    "dosages": [],
    "about_ingredients": "",
    "special_diet": [],
    "allergen": [],
    "testing_methodology": "",
    "usage_recommendation": "",
    "ingredients": [],
    "documents": [],
    "videos": [],
    "images": {
      "thumbnail": {
        "name": "",
        "url": "<url>",
        "mime_type": "image/jpeg",
        "size_bytes": 8919.0,
        "updated_on": "2020-06-18T07:59:08.886941Z"
      },
      "primary": {
        "name": "",
        "url": "<url>",
        "mime_type": "image/jpeg",
        "size_bytes": 8919.0,
        "updated_on": "2020-06-18T07:59:08.821675Z"
      },
      "banner": {
        "name": "",
        "url": "<url>",
        "mime_type": "image/jpeg",
        "size_bytes": 13867.0,
        "updated_on": "2020-06-18T07:59:08.932368Z"
      },
      "supplemental": null
    },
    "barcode": "",
    "thc_cbd_ratio": "",
    "additional_ingredients": ""
}

Response Fields

Field

Type

Description

uuid

uuid

Unique identifier for the product

sku

string

Stock keeping unit

name

string

Product name

description

string

Product description (HTML)

brand_uuid

uuid

UUID of the associated brand

product_type

string

Product category (e.g., “Chocolate”, “Gummy”)

usage

string

Usage type (Recreational or Medical)

variety

string

Cannabis variety (e.g., “Sativa”, “Indica”)

strain

string

Cannabis strain name

chemotype

string

Chemotype classification

product_line

string

Product line name

package_size

object

Package size with name, value, and unit

upc

string

Universal Product Code

servings

string

Number of servings

serving_size

object

Serving size with name, value, and unit

shelf_life

object

Shelf life with value (integer) and unit (e.g., “days”)

expected_total_thc

object

Expected THC content with name, value, and unit

expected_total_cbd

object

Expected CBD content with name, value, and unit

thc_cbd_ratio

string

THC to CBD ratio

positive_effects

array

Positive effects of the product

negative_effects

array

Negative effects of the product

medical_uses

array

Medical use cases

dosages

array

Dosage options

ingredients

array

List of ingredients

images

object

Product images (thumbnail, primary, banner, supplemental)

documents

array

Associated documents

videos

array

Associated videos

barcode

string

Product barcode

updated_on

datetime

When the product was last updated

additional_ingredients

string

Additional ingredients text